summaryrefslogtreecommitdiff
path: root/system/hsflinmodem/hsflinmodem.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/hsflinmodem/hsflinmodem.SlackBuild')
-rw-r--r--system/hsflinmodem/hsflinmodem.SlackBuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/system/hsflinmodem/hsflinmodem.SlackBuild b/system/hsflinmodem/hsflinmodem.SlackBuild
new file mode 100644
index 0000000000..3f2c8259d6
--- /dev/null
+++ b/system/hsflinmodem/hsflinmodem.SlackBuild
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Slackware build script for hsflinmodem
+# Written by Kyle Guinn
+
+# Sorry, you don't get a choice of architecture.
+# Some parts came pre-compiled, check in the "imported" subdirectory.
+# It looks like they used the -march=pentium flag here, which implies i586.
+#
+# Running `make install` will compile a few files, but there is no way to
+# specify additional compiler flags without modifying the makefiles.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=hsflinmodem
+VERSION=5.03.27lnxtbeta03042700
+ARCH=i586
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . -type d | xargs chmod 0755
+find . -type f | xargs chmod 0644
+find . -name *.sh | xargs chmod 0755
+
+make -C scripts hsfconfig || exit 1
+make install ROOT=$PKG || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "relocatable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS CHANGES CREDITS FAQ INSTALL LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz